extends Container
class_name ArticleSelection

const button_scene = preload("res://article_select_button.tscn")

# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	var button
	var info: ArticleInfo
	for id in Global.article_infos:
		button = button_scene.instantiate()
		button.info = Global.article_infos[id]
		add_child(button)

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta: float) -> void:
	pass
